Subject: Re: Another GPL violation: Re: Minimalistic Build-Environmentforwin32 (~7.5MB)
From: Robert Collins <[email-masked]>
To: roland <[email-masked]>
Cc: [email-masked]
Date: 25 Mar 2003 15:22:17 +1100

Bringing this back on list, with Rolands ok.

On Tue, 2003-03-25 at 11:03, roland wrote:
> :(
> err - how to solve that ?
> since installation came from cygwin setup routines months ago - how do i know, 
> what packages have been used (and which versions?)

Your /etc/installed.db will list your current versions, and if you
haven't updated since, will be accurate.

> To dig into this, this will cost me HOURS !
> Any tips for an easy solution ?

Sorry, not really. Use setup.exe is what comes to mind. We've spent much
more than hours making it robust and easy to use.

> Completely new cygwin setup ,corresponding "striptease" and packaging ?
> Come on - I have no time for just doing some satisfaction for "a sheet of paper".
> If I REALLY have to do this, I will take my website down and make rockbox people
> unhappy. This package was meant to make cygwin environment easier for the rockbox
> people - nobody depends on that - it`s just for "comfort".
> It doesn`t work ?
> It doesn`t run ?
> It corrupts your code ?
> You miss a feature and NEED it ?
> Throw this package away - download cygwin and install yourself !
> 
> What would be the consequence, if i wouldn`t take care of your advice ? Will I get 
> a reminder? I respect the GPL - but I also think, there could be a little freedom for 
> "interpretation". It`s hard enough, that we have to fiddle around with ordinary and
> absurd laws and licensing terms the rest of our life ....

the GPL is what got you cygwin in the first place. Any interpretation
which conflicts with the GPL is not valid. If you don't like the
licence, return the product! 

> regards
> roland
> 
> ps:
> There must be HOUNDREDTHOUSANDS of people violating the gpl!
> 
> On Mon, 2003-03-24 at 10:53, roland wrote:
> > Hello Robert,
> > I take GPL serious and didn`t see, that this is a problem. 
> > I have added the following lines on the download page:
> > 
> > >Download rockbox-sdk_win32.tar.bz2. (store in dir c:\cygwin)
> > >This package contains a minimalistic cygwin environment in binary
> > form. See >www.cygwin.com for sourcecode and further information
> > 
> > Does this give satisfaction ?
> 
> Unfortunately no, you must host the matching sources yourself.
> http://www.cygwin.com/ml/cygwin/2003-03/msg01623.html is a link to
> another recent GPL discussion where this is pointed out.
> 
> Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.

Subject: Re: Another GPL violation: Re: MinimalisticBuild-Environmentforwin32 (~7.5MB)
From: "roland" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Date: Tue, 25 Mar 2003 01:49:37 +0100

don`t see a problem with that - but perhaps you should initiate it.
regards
Roland

PS:
If I hear from you cygwin folks:  take care of the gpl! If you don`t, we would like 
you to remove your package - I really would accept this decision because you made a great
job with this software and you should decide -  But I really think, there are also many 
people, which don`t take it that serious, as you do.......
The GPL is meant to PROTECT OpenSource software - but I don`t see anything that i`m doing 
bad things to OpenSource or to the Opensource Community - Far from it !

----- Original Message ----- 
From: "Robert Collins" <[email-masked]>
To: "roland" <[email-masked]>
Sent: Tuesday, March 25, 2003 1:06 AM
Subject: Re: Another GPL violation: Re: MinimalisticBuild-Environmentforwin32 (~7.5MB)